> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/percentage_discount_promotions.md).

# Percentage discount promotions

The percentage discount promotion object and the allowed CRUD operations on the related resource endpoint

Commerce Layer provides a promotional engine built on top of two main resources: [promotions](/core-api-reference/promotions.md) and [promotion rules](/core-api-reference/promotion_rules.md).

When triggered, percentage discount promotions are responsible for adding a specific percentage discount to the orders involved.

## Application scope

Percentage discount promotions can be optionally defined by currency code or restricted to a specific active market (in the latter case the currency code is inherited by the market's price list). Within the time window given by their activation and expiration dates, percentage discount promotions that have not reached their total usage limit are considered active. If no promotion rule is associated with an active percentage discount promotion, the discount is applied to:

* All the orders, if the promotion is not restricted to a specific currency or market.
* All the orders in the specified currency, if a currency code is specified but the promotion is not restricted to a specific market.
* All the orders of the market in scope, if the promotion is attached to a market.

Otherwise, if one or more promotion rules are defined, the promotion is triggered only when it matches all of them.

{% hint style="info" %}
Multiple percentage discount promotions can be applied to the same order, even concurrently with other promotion types (based on their [priority](/core-api-reference/promotions.md#priority-and-order-of-application) and up to the involved items amount [saturation](/core-api-reference/promotions.md#discount-distribution)), as long as you don't reach the maximum number of active promotions allowed for your organization. In this case, each subsequent percentage discount promotion is computed on the discounted total due to previous promotion applications.
{% endhint %}

## Discount calculation and distribution

If associated with an SKU list, the total discount due to percentage discount promotions is calculated and distributed on the matching line items of type `skus` or `bundles` belonging to that list, according to the promotion logic. Otherwise, all the [taxable items](/core-api-reference/orders.md#taxable-items) of the order.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/percentage_discount_promotions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
